/*
 * This file is part of Crossfire TRT, the Roguelike Realtime MORPG.
 * 
 * Copyright (©) 2005,2006,2007 Marc Alexander Lehmann / Robin Redeker / the Crossfire TRT team
 * Copyright (©) 2002,2007 Mark Wedel & Crossfire Development Team
 * Copyright (©) 1992,2007 Frank Tore Johansen
 * 
 * Crossfire TRT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * The authors can be reached via e-mail to <crossfire@schmorp.de>
 */

#include <global.h>
#include <random_map.h>
#include <rproto.h>

/*  make a map and layout the floor.  */
void
maptile::make_map_floor (char **layout, char *floorstyle, random_map_params *RP)
{
  char styledirname[1024];
  char stylefilepath[1024];
  maptile *style_map = 0;
  object *the_floor;

  clear ();

  width  = RP->Xsize;
  height = RP->Ysize;

  alloc ();

  /* get the style map */
  sprintf (styledirname, "%s", "/styles/floorstyles");
  sprintf (stylefilepath, "%s/%s", styledirname, floorstyle);

  style_map = find_style (styledirname, floorstyle, -1);

  if (!style_map)
    return;

  /* fill up the map with the given floor style */
  if ((the_floor = style_map->pick_random_object ()))
    for (int x = 0; x < width; x++)
      for (int y = 0; y < height; y++)
        insert (the_floor->clone (), x, y, 0, INS_NO_MERGE | INS_NO_WALK_ON);
}
